List available dashboard templates
GET
/v1/agent/{id}/available-dashboard-templates/
const url = 'https://example.com/v1/agent/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/available-dashboard-templates/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/agent/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/available-dashboard-templates/ \ --header 'Authorization: Bearer <token>'Return dashboard templates the agent qualifies for (based on detected services) but that have not been created yet.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this agent.
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
tag
required
string
title
required
string
icon
required
string
Example generated
[ { "tag": "example", "title": "example", "icon": "example" }]